Bug 202312 - Blank screen when compiz set as wm
Summary: Blank screen when compiz set as wm
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-session   
(Show other bugs)
Version: rawhide
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-12 16:49 UTC by Tim Vismor
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-13 03:57:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Vismor 2006-08-12 16:49:58 UTC
Description of problem:

For the last couple of releases, if compiz is set under the gconf key

/apps/gnome-session/rh/window_manager

A blank screen comes up after login to gnome. When the key is reset to metacity,
there are no problems. 

Version-Release number of selected component (if applicable):

gnome-session-2.15.90-3.fc6

How reproducible:

Always

Steps to Reproduce:

1. Enable compiz as wm through system>preferences>more preferences>desktop effects.
2.Reboot and log into gnome


Additional info:

There is a bug in the gnome-wm script: the compiz) clause is not terminated. The
fix is trivial.

--- /home/vismor/gnome-wm       2006-08-12 12:52:41.000000000 -0400
+++ /usr/bin/gnome-wm   2006-08-12 12:29:13.000000000 -0400
@@ -84,6 +84,7 @@
       OPT1=--sm-client-id
       OPT2=$SMID
       OPT3=gconf
+      ;;
     openbox)
       OPT1=--sm-client-id
       OPT2=$SMID

Comment 1 Michal Jaegermann 2006-08-12 19:18:36 UTC
Contrary to the subject line this bug kills all windows managers and
not only compiz. gnome-session simply does not start (or is terminally
confused). Adding a missing line, like in the report, restores sanity.

Comment 2 Ray Strode [halfline] 2006-08-13 03:57:50 UTC
Thanks guys, sorry for the breakage.  The fix should hopefully make tonight's
compose and be in tomorrow's rawhide.


Note You need to log in before you can comment on or make changes to this bug.